routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Genre;
use App\Http\Resources\GenreResource;
use App\Http\Resources\SerieResource;
use App\Serie;

Auth::routes();

Route::get('/', 'MainController@index')->name('home');
Route::get('/home', 'MainController@index')->name('home');
Route::resource('episodes', 'EpisodeController');
Route::resource('comments', 'CommentController');

Route::resource('genres', 'GenreController');
Route::resource('series', 'SerieController');

Route::get('modifier_avis_redaction/{id}','SerieController@editAvis')->name("editAvis");
Route::resource('users', 'UserController');

Route::get('/saison/{idSerie}/{idSaison}','SerieController@showSaison')->name('showSaison');

resources/views/series/editAvis.blade.php
@extends('layouts.app')

@section('content')>

@if ($errors->any())
    <div>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif


<form action="{{route('series.update',$serie->id)}}" method="POST">
    @csrf
    @method('PUT')
    <div class="text-center" style="margin-top: 2rem">
        <h3>Ajout ou Modification d'un avis de la redaction</h3>
        <hr class="mt-2 mb-2">
    </div>


    <div>

        {{-- content --}}
        <label for="avis"><strong>Content : </strong></label>
        <textarea type="text" id="avis" rows = "2" name="avis" class="form-control"> {{ old('avis') }}
    </textarea>
    </div>

    <div>
        <button class="btn btn-success" type="submit" value="valide">Valide</button>
    </div>

    <button type="button"><a href="{{route("series.show",[$serie->id])}}">Annuler</a></button>

</form>
@endsection

resources/views/series/index.blade.php
@extends('layouts.app')

@section('content')

<div>
    <h1 class="titre1">Bibliothèque</h1>


    {{--vérifie si il y a des séries dans la base--}}

    @if(!empty($series))

        <div class="series-filtrage">
            <h3>Filtrage par genre</h3>
                <form action="{{route('series.index')}}" method="get">
                    <label>
                        <select name="cat">
                            <option value="-1" @if($cat == '-1') selected @endif>All</option>
                            @foreach($noms as $nom)
                                <option value="{{$nom->id}}"  @if($cat == $nom->id) selected @endif>{{$nom->nom}}</option>
                            @endforeach
                        </select>
                    </label>
                    <div class="recherche">
                        <input type="submit" value="Rechercher">
                        <i class="fas fa-search"></i>
                    </div>
                </form>
        </div>
<div class="parent1" style=".parent1::before {
    background: url({{url('/img/wave.svg')}}) no-repeat;}">
        <div class=""enfant>

        <ul class="series-grid">
            @foreach($series as $serie)
                <li>
                    <a href="{{route('series.show',$serie->id)}}">
                        <img src="{{url($serie->urlImage)}}" alt="image de la série">
                        <br>
                        <div class="nom-serie">
                            {{$serie->nom}}
                        </div>
                    </a>
                </li>
{{--                <br>--}}

            @endforeach
        </ul>

        </div>
    <div class="bouton-retour">

        <a href="/">Retour</a>

    </div>
    </div>
</div>

@else
    <h2>Pas de séries</h2>
@endif


@endsection

resources/views/series/show.blade.php
@extends('layouts.app')
{{ config('app.name', $serie->nom.'- TV Inside') }}


@section('content')

    <div class="information-series">
        <h2>{{$serie->nom}}</h2>

            <img src="{{url($serie->urlImage)}}" alt="Image de la série">

                <div class="information-saisons">
                    @for($currentSeason=1;$currentSeason<=$saisons;$currentSeason++)
        <a href="{{route("showSaison",[$serie->id,$currentSeason])}}"> Saison {{$currentSeason}}</a>
                    @endfor
                </div>

                    <p class="information-statut">Début : {{$serie->premiere}}<br><br>Statut : {{$serie->statut}}</p>

                        <b class="note"> Note : {{$serie->note}}</b>
    </div>

    <div class="information-contenu">
        <p class="information-resume">{!!$serie->resume  !!}</p>
        <br>
    </div>


    <div class="information-avis">
        <p>{!! $serie->avis !!}</p>
        <br>
        @guest
        @else
            @if(Auth::user()->administrateur==1)
                <button type="button" ><a href="{{route('editAvis',[$serie])}}">Ajouter ou Modifier l'avis de la rédaction</a></button>
            @endif
        @endguest
    </div>

    <div class="information-contenu">
        @if($serie->urlAvis!=NULL)
            <video controls width="50%">
                <source src="{{url($serie->urlAvis)}}"
                type="video/webm">
            </video>
            <br><br>
        @endif



        <b class="information-langue">Langue : {{$serie->langue}}</b>
    </div>

    <div class="information-contenu">

        @guest
        @else
            <button type="button" ><a href="{{route('comments.create')}}">Ajouter un commentaires pour cette série</a></button>
        @endguest


        <div class="commentaires">
            <p>Les commentaires :</p><br>
            <ul>
            @foreach($comments as $comment)
                @if($comment->validated==true)
                    <li>
                        <a href="{{route('comments.show',$comment->id)}}"> {{$comment->content}}<br></a>
                    </li>
                @endif
            @endforeach
            </ul>
        </div>

    </div>

    <br>

    @guest
    @else
    <form action="{{route('comments.store')}}" method="POST">
        @csrf
    <label for="content"><strong>Laisser un commentaire : </strong></label>
    <textarea type="text" id="content" rows = "1" name="content" class="form-control"> {{ old('content') }}
    </textarea>
        <input type="hidden" value="{{$serie->id}}" name="serie_id"/>
    <label for="note"><strong>Note (/10) : </strong></label>
    <input type="integer" id="note" name="note">
        <button class="btn btn-success" type="submit">Valide</button>
    </form>
    @endguest


    <div class="information-retour">
        <a href="{{route('series.index')}}">Retour</a>
    </div>
@endsection

resources/views/series/showSaison.blade.php
@extends('layouts.app')

@section('content')

<h2 class="titre1">{{$serie->nom}} - Saison {{$saison}}</h2>
<br>
<div class="information-contenu">
<img src="{{url($serie->urlImage)}}" alt="Image de la série">
<ul class="liste">
    @foreach($episodes as $ep)
        @if($ep->saison==$saison)
            <li><a href="{{route('episodes.show',$ep->id)}}">{{$ep->nom}}</a></li>
        @endif

    @endforeach
</ul>
</div>
@endsection